Update a sub account Run in API Explorer
Ask AI
PUT
/api/v1/plans/{plan_uuid}/sub-accounts/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"name": "Johns ISA",
"policy_number": "AVF-4355432",
"proposal_reference": "BtMWiy0JwHtogU4",
"active_portfolio_uuid": "e2e6704d-d049-4ee6-94e1-7b1a394ee8c5"
}'
Request examples
{
"name": "Johns ISA",
"policy_number": "AVF-4355432",
"proposal_reference": "BtMWiy0JwHtogU4",
"active_portfolio_uuid": "e2e6704d-d049-4ee6-94e1-7b1a394ee8c5"
}
Response examples (200)
{
"uuid": "bf300df4-f467-4d30-b255-2b642ebfe8df",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "8d394bd6-147a-4003-b061-d6a36235199b",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"valued_at": "2026-10-29T17:25:06+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "45c0d530-05d9-4659-a0e0-619e432b0075",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "07de0094-8e84-4a42-8712-c6c4f53d3209",
"created_at": "2026-10-29T17:25:06+00:00",
"updated_at": "2026-10-29T17:25:06+00:00",
"is_proposed": true,
"proposed_at": "2026-10-29T00:00:00+00:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}
Response examples (409)
{
"message": "Plan is being deleted."
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}